
tasks:
- replace user-affecting console.log & console.error with error messages (eg. catches)
- if there's no identity, handle it on pages which expect an identity (eg. project -- look for JSON.parse identity calls)
- .1 show an appropriate message when there are no contacts

- 8 Move to vue-facing-decorator

- 01 design ideas for simple gives on the first page

- .1 remove commitments from ProjectView UI
- 01 add list of 'give' records for a project on ProjectView UI

- 02 Discover page - display results (currently in console.log), spin when searching
- 08 search by location, endpoint, etc assignee:trent
- 01 add a location for a project via map pin :
  - give attribute to use assignee:trent
- 01 remove all the "form" fields (or at least investigate to see if that page refresh is desired)

- 08 Scan QR code to import into contacts.

- contacts v1 :
  - 01 Import contact info a la QR code.
  - 01 Import all the non-sensitive data (ie. contacts & settings).
  - .2 move all "identity" references to temporary account access assignee:trent

- contacts v+ :
  - .2 show error to user when adding a duplicate contact
  - 01 parse input more robustly (with CSV lib and not commas)

- refactor UI :
  - .5 Alerts show at the top and can be missed, eg. account data download
  - 01 Change alert popup code a component (to cut down duplicate code; see "in many files")
  - 01 Change "nav" tabs across the bottom into a component (eliminating duplicate code).
  - .5 Fix how icons show on top of bottom bar on ContactAmounts page
  - .2 Hide "Advanced" section in Account page by default

- show pop-up confirming that settings & contacts have been downloaded

- Ensure each action sent to the server has a confirmation - registration

- Home Feed & Quick Give screen :
  - 01 save the feed-viewed status in settings storage ("afterQuery")
  - 01 quick action - send action, maybe choose via canvas tool https://github.com/konvajs/vue-konva

- .5 customize favicon
- .2 Hide "Advanced" section in Account page by default
- 04 allow user to download claims, mine + ones I can see about me from others

- 24 Move to Vite

- 40 notifications :
  - push

- Discuss whether the remaining tasks are worthwhile before MVP release.

- 01 fix images on project page, on discovery page
- .2 fix "Rotary" and static icon to the right on project page

- stats v1 :
  - 01 show numeric stats
  - 01 link to world for specific stats
  - .5 don't load another instance of a bush if it already exists
  - maybe - allow type annotations in World.js & landmarks.js (since we get this error - "Types are not supported by current JavaScript version")
  - 4-8 convert to cleaner implementation (maybe Drie -- https://github.com/janvorisek/drie)

- Do we want split first name & last name?
- remove 'about' page

- Release Minimum Viable Product :
  - 08 thorough testing for errors & edge cases
  - Turn off stats-world or ensure it's usable (eg. cannot zoom out too far and lose world, cannot screenshot).
  - Add disclaimers.
  - Rename DB to TimeSafari.
  - Switch default server to the public server.
  - Deploy to a server.
  - Ensure public server has limits that work for group adoption.
  - Test PWA features on Android and iOS.
  blocks: ref:https://raw.githubusercontent.com/trentlarson/lives-of-gifts/master/project.yaml#kickstarter%20for%20time

- 40 notifications v+ :
  - pull, w/ scheduled runs

- linking between projects or plans :
    - terminology:
      - for subtasks: fulfills (is it really the same?), feeds, contributes to, supplies, boosts, advances
      - for blocking: blocks, precedes, comes before, is sought by -- vs follows, seeks, builds on ("contributes to" isn't specific enough, "succeeds" has different, possibly confusing meaning)

- Stats :
  - 01 point out user's location on the world
  - 01 present a credential selected from the stats
  - 04 show gives spreading to other places
  - badge for most gives/receives/confirms per day/week/month
  - badge for amount given/offered to your project
  - set a goal of given/offers

- automated tests, eg. cypress

- Notifications (wake on the phone, push notifications)

- Connect with phone contacts

- Multiple identities

- Peer DID


- DIDComm

- Write to or read from a different ledger (eg. private ACDC, attest.sh)


log:
- videos for multiple identities https://youtu.be/p8L87AeD76w and for adding time to contacts https://youtu.be/7Yylczevp10 done:2023-03-29
- project lists, contact totals & actions, multiple identifiers, stats-world, activity feed, rename of this project file (use "--follow --") milestone:2 done:2023-06-27
